Subject: bug#24993: System installer grows brittle as substitutes for the release disappear

From: Leo Famulari <[email-masked]>
Date: Sun, 12 Nov 2017 15:49:21 -0500

On Sun, Nov 12, 2017 at 09:30:14PM +0100, Ludovic Courtès wrote:
> Heya,
> 
> Reviving an old bug…
> 
> Leo Famulari <[email-masked]> skribis:
> 
> > Based on that, it looks like we garbage collected the substitutes for
> > the 0.11.0 release to make space for new ones, which is too bad, but
> > hopefully not a permament limitation. We have a new machine for our
> > build farm front-end currently being installed and tested, and that
> > server should have a great deal more storage.
> 
> Commit 4e854b1814a9216ae7cc90aef4d82fd989a519c3 added the whole
> bare-bones OS as a dependency of the installation image.  Thus,
> everything bare-bones depends on is included in the image.

Nice! I missed this commit when it was pushed.

> This should ensure that at least key store items are already available
> in the image.
> 
> Infrastructure-wise, the situation has also improved I think, and is
> getting better with berlin.guixsd.org.
> 
> I think we can close this bug.  Let’s reopen it if I turned out to be
> too optimistic.

Good plan :)